gnustep-dl2 (0.12.0+git20171224-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/gbp.conf: New file.
  * debian/patches/implicit-func-decl.patch: Delete; fixed upstream.
  * debian/patches/fix_missing_include_for_NSArray.diff: Likewise.
  * debian/patches/581934.patch: Likewise.
  * debian/patches/618181.patch: Likewise.
  * debian/patches/629204.patch: Likewise.
  * debian/patches/gcc-4.7.patch: Likewise.
  * debian/patches/dbmodeler.patch: Delete; unnecessary now when the
    DBModeler application is no longer built.
  * debian/patches/base-1.29.patch: Delete; no longer applicable.
  * debian/patches/avoid_unresolved_symbols.diff: Remove hunks applied
    upstream; update and refresh.
  * debian/patches/spelling-errors.patch: Likewise.
  * debian/patches/fix_documentation_generation.diff: Refresh.
  * debian/patches/format-security.patch: Likewise.
  * debian/patches/libgorm-rename.patch: New; link with InterfaceBuilder.
  * debian/patches/tests.patch: New; fix some issues with the tests.
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Replace libgorm-dev with
    libinterfacebuilder-dev.  Add gorm.app (>= 1.4) for a GormCore header.
    Add postgresql <!nocheck> to test the Trading example.
    (Build-Depends-Indep): Move texinfo and texlive-latex-base here.  Add
    gnustep-base-doc and gnustep-gui-doc for cross-document links.
    (gnustep-dl2) <Depends>: Add libgnustep-dl2-0deb (= ${binary:Version}).
    <Recommends>: Add gnustep-dl2-doc.
    <Description>: Mention what the package contains.
    (gnustep-dl2-doc): New package; move documentation and examples here.
    (libgnustep-dl2-0d): Rename package to...
    (libgnustep-dl2-0deb): ...due to ABI breakage.  Add Breaks + Replaces.
    (libgnustep-dl2-dev) <Depends>: Depend on the new library package.
    <Suggests>: Add gnustep-dl2-doc.
    (gnustep-dl2-postgresql-adaptor) <Depends>: Add strict dependency on
    the new library.
    (gnustep-dl2-sqlite-adaptor) <Depends>: Likewise.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/gnustep-dl2.install: Ship everything in /usr/bin.  Remove
    EOModeler; add usr/lib/gnustep-dl2/libEOModeler*.  Remove manual in
    various formats; now shipped in gnustep-dl2-doc.
  * debian/gnustep-dl2.links: Replace DBModeler with EOModelEditor.  Do
    not create EOModeler symlink.  Remove documentation links.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Define to help linking with
    the private libraries.
    (docs): Reset variable (set in config.mk) if it's an arch:any build.
    (soname): New variable; define Debian-specific INTERFACE_VERSION.
    (override_dh_auto_configure): Remove override; --disable-examples is
    the default so there's no need to specify it.
    (override_dh_auto_build): Don't set ADDITIONAL_OBJCFLAGS; not needed.
    Use $(soname) for the public libraries.  Use $(docs) instead of
    doc=yes to support "nodoc" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Convert EOModelEditor's icon.  Use
    $(soname).  Install EOModeler and the adaptor frameworks as private
    libraries.  Use $(docs) instead of doc=yes; conditionally create
    .install/.links files for the -doc package.
    (override_dh_auto_clean): Use $(docs); delete generated
    .install/.links files for gnustep-dl2-doc.
    (override_dh_auto_test): New; run our improvised testsuite.
    (override_dh_fixperms-arch): New; fix three lintian warnings
    executable-not-elf-or-script and I: image-file-has-conflicting-name.
    (override_dh_makeshlibs): Don't exclude EOAdaptor, doesn't exist.
    Skip trigger creation for gnustep-dl2 (EOModeler is now a private
    library).  Add call with --remaining-packages.
  * debian/DBModeler.desktop: Rename as...
  * debian/EOModelEditor.desktop: ...and adjust icon + executable.
  * debian/DBModeler.1: Rename as...
  * debian/EOModelEditor.1: ...use the new name; add a copyright notice.
  * debian/gdlgsdoc.1: New file; add manpage for the gdlgsdoc tool.
  * debian/gnustep-dl2.manpages: Replace DBModeler.1 with EOModelEditor.1.
    Add gdlgsdoc.1.
  * debian/libgnustep-dl2-0d.install: Rename as...
  * debian/libgnustep-dl2-0deb.install: ...following the package rename.
  * debian/libgnustep-dl2-0d.lintian-overrides: Rename as...
  * debian/libgnustep-dl2-0deb.lintian-overrides: ...and change the
    package name.
  * debian/not-installed: Add EOModeler headers, PostgreSQLEOAdaptor
    headers and documentation (as advised by upstream).  Remove gdlgsdoc.
  * debian/gnustep-dl2.lintian-overrides: Delete; warnings fixed now.
  * debian/gnustep-dl2-postgresql-adaptor.lintian-overrides: Likewise.
  * debian/gnustep-dl2-sqlite-adaptor.lintian-overrides: Likewise.
  * debian/gnustep-dl2-postgresql-adaptor.maintstript: Delete; was
    only necessary to facilitate bullseye -> bookworm upgrades.
  * debian/gnustep-dl2-sqlite-adaptor.maintscript: Likewise.
  * debian/gnustep-dl2-postgresql-adaptor.install: Remove headers and
    documentation; change library directory to usr/lib/gnustep-dl2.
  * debian/gnustep-dl2-sqlite-adaptor.install: Change library directory to
    usr/lib/gnustep-dl2.
  * debian/upstream/signing-key.asc: Re-export as minimal.
  * debian/libgnustep-dl2-dev.doc-base: Rename as...
  * debian/gnustep-dl2-doc.doc-base.gdl2api: ...and amend Index/Files.
  * debian/gnustep-dl2.doc-base: Rename as...
  * debian/gnustep-dl2-doc.doc-base.gdl2intro: ...likewise.
  * debian/gnustep-dl2.examples: Rename as...
  * debian/gnustep-dl2-doc.examples: ...following the move of examples.
    Add Tools/eomodeltemplate.gsdoc, a template for gdlgsdoc.
  * debian/libgnustep-dl2-dev.install: Remove API documentation.
  * debian/libgnustep-dl2-dev.links: Delete; contains only doc links.
  * debian/gnustep-dl2-doc.install.in: New file.
  * debian/gnustep-dl2-doc.links.in: Likewise.
  * debian/watch: Use ftp.gnustep.org with the HTTPS protocol.
  * debian/tests/tools: Add autopkgtest to test the tools/examples.
  * debian/tests/control: New file.
  * debian/copyright: Update copyright years, add another copyright
    holder.  Indicate that the EOModelEditor app and the GDL2 palette are
    under GPL-3.0+.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 30 Jun 2024 14:10:20 +0300

gnustep-dl2 (0.12.0-16) unstable; urgency=medium

  * Team upload.
  * debian/patches/base-1.29.patch: New; fix FTBFS with
    gnustep-base/1.29.0 (Closes: #1028577).
  * debian/patches/implicit-func-decl.patch: New, fix implicit function
    declaration (patch taken from upstream).
  * debian/patches/spelling-errors.patch: New, fix some spelling errors.
  * debian/control: Strip trailing whitespace.
    (Build-Depends): Switch to the debhelper-compat mechanism; set compat
    level to 13.  Remove autotools-dev.  Remove libgnustep-gui-dev; pulled
    in by other dependencies.
    (Depends): Remove dpkg (>= 1.17.14); no longer needed.
    (Conflicts, Replaces): Remove; obsolete.
    (Vcs-Git, Vcs-Browser): Point to the repository at salsa.d.o.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2.
  * debian/compat: Delete.
  * debian/rules: Drop --with autotools_dev.  Enable hardening.  Use
    $(optim) and $(verbose) where necessary in order to support "noopt"
    and "terse" in DEB_BUILD_OPTIONS.
    (override_dh_auto_build): Do not create a .xpm icon.
    (override_dh_auto_install): Delete unusable upstream .desktop file,
    empty directories and symlinks pointing to them.  Create a .png icon.
    (override_dh_strip): Remove override; we _want_ dbgsym packages.
    (override_dh_fixperms): Remove override; now unnecessary since the
    upstream .desktop file is deleted.
  * debian/libgnustep-dl2-dev.install: Install .gsdoc files.
  * debian/gnustep-dl2.install: Add usr/share/info so that the manual gets
    installed by the upstream build system, otherwise dh_missing fails.
    Restore installation of eoutil and app; although buggy they're still
    usable (and the app gets installed in /usr/lib anyway).  Install
    the .desktop file.  Don't install the .xpm icon.
  * debian/gnustep-dl2.info: Delete.
  * debian/gnustep-dl2.manpages: Uncomment both manpages.
  * debian/gnustep-dl2-postgresql-adaptor.install: Add documentation and
    headers; simplify.
  * debian/gnustep-dl2-postgresql-adaptor.links: Delete; there is no point
    to move anything to /usr/share -- it should be installed as usually
    GNUstep Frameworks are installed in Debian.
  * debian/gnustep-dl2-postgresql-adaptor.maintscript: Revert
    dir_to_symlink/symlink_to_dir transition; this makes the login panel
    usable again and avoids shipping an executable in /usr/share.
  * debian/gnustep-dl2-postgresql-adaptor.lintian-overrides: Remove
    arch-dependent-file-in-usr-share as it was legitimate.  Add
    lacks-ldconfig-trigger.
  * debian/gnustep-dl2-sqlite-adaptor.install: Simplify.
  * debian/gnustep-dl2-sqlite-adaptor.links: Delete; same reasons as
    above for the postgresql adaptor.
  * debian/gnustep-dl2-sqlite-adaptor.maintscript: Revert actions
    analogically to the postgresql adaptor above.  Likewise, this makes
    the login panel usable again and avoids an executable in /usr/share.
  * debian/gnustep-dl2-sqlite-adaptor.dirs: Delete; entirely unnecessary.
  * debian/gnustep-dl2-sqlite-adaptor.lintian-overrides: Remove
    package-contains-empty-directory (now fixed) and
    arch-dependent-file-in-usr-share (wrongly overridden).  Add
    lacks-ldconfig-trigger.
  * debian/gnustep-dl2.maintscript: Delete; no longer needed.
  * debian/DBModeler.desktop: Use the .png icon, for AppStream's sake.
  * debian/source/options: Delete; no longer needed.
  * debian/changelog: Strip trailing whitespace.
  * debian/gnustep-dl2.lintian-overrides: Rename
    non-dev-pkg-with-shlib-symlink to
    link-to-shared-library-in-wrong-package (tag renamed in Lintian).
  * debian/eoutil.1: Fix spelling error.
  * debian/gnustep-dl2.symbols: Delete; harmful for ObjC libraries.
  * debian/libgnustep-dl2-0d.symbols: Likewise.
  * debian/not-installed: New file; omit gdlgsdoc and its documentation.
  * debian/gnustep-dl2.doc-base: Point to symlinks in /usr/share/doc.
  * debian/gnustep-dl2.links: Create doc symlinks in /usr/share/doc.
  * debian/libgnustep-dl2-dev.doc-base: Point to symlinks in
    /usr/share/doc as required by doc-base and lintian.
  * debian/libgnustep-dl2-dev.links: New file; create doc symlinks.
  * debian/copyright: Add two more holders, update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 19 Feb 2023 18:09:36 +0200

gnustep-dl2 (0.12.0-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/gnustep-dl2-postgresql-adaptor.links: correct link to make it
    possible that update replaces directory with link. Closes: #838704
  * Override lintian errors
       E: gnustep-dl2-sqlite-adaptor: arch-dependent-file-in-usr-share
       E: gnustep-dl2-postgresql-adaptor: arch-dependent-file-in-usr-share
    In both cases the files in question are just a plist and a tif file
    that don't appear to be arch dependent.

 -- Gert Wollny <gewo@debian.org>  Sun, 08 Jan 2017 21:29:41 +0000

gnustep-dl2 (0.12.0-15) unstable; urgency=medium

  * debian/control: build depends on latest libgnustep-gui-dev
  * Add symlink_to_dir in maintainer scripts (Closes: #825618)

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Sun, 10 Jul 2016 21:41:05 +0200

gnustep-dl2 (0.12.0-14) unstable; urgency=medium

  * Team upload: in harmony with Frederico,
    + move Debian GNUstep maintainers to Maintainer field,
    + move Frederico Gimenez Nieto to Uploaders field,
    + Add myself as new Co-Maintainer.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compat to 9.
  * Update gnustep Build-Depends (Closes: #749745).
  * Remove not needed anymore {gnustep:Depends} in debian/control file
  * Rewrite debian/rules file:
    + use --with autotools-dev (add build dependency to autotool-dev),
    + don't hardcode build flags, use dpkg-buildflags instead,
    + don't build dbgsym packages,
    + Fix *.desktop files permission,
    + Don't add ldconfig trigger for adaptor packages.
  * According to debian policy 9.1.1 and FHS,
    move architecture independent dirs to /usr/share/ subdirs,
    and headers files to /usr/include/ subdirs:
    + update a debian/*.install files,
    + use dh_symlink and dpkg-maintainer-script (Closes: #771755)
      to create symlinks from old to new locations:
      provide new debian/*.links and debian/*.maintscript files,
    + remove no more needed debian/gnustep-dl2-postgresql-adaptor.dirs and
      debian/gnustep-dl2.dirs files, and update
      debian/gnustep-dl2-sqlite-adaptor.dirs file.
  * Use dh_installexamples to install examples:
    provide a new debian/gnustep-dl2.examples file.
  * Update debian/docs file: install NEWS and README files too.
  * Provide a debian/source/options file with a dpkg-source argument to ignore
    DBModeler.xpm file generated by imagemagick.
  * Provide new debian/*.lintian-overrides files.
  * Update Vcs-* fields in debian/control file.
  * Add gnustep-dl2.symbols and lignustep-dl2-0d.symbols files.
  * Update watch file to version 4 and add debian/upstream/signing-key.asc.
  * Provide a new debian/gnustep-dl2.info file.
  * Reformat debian/copyright file.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Mon, 25 Apr 2016 22:07:49 +0000

gnustep-dl2 (0.12.0-13) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Replace gorm.app with libgorm-dev
    (Closes: #759832).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Oct 2014 18:35:54 +0200

gnustep-dl2 (0.12.0-12) unstable; urgency=low
  [Yavor Doganov]
  * debian/patches/581934.patch: fixes to prevent NSInvalidArgumentException
    (closes: #753483)
  * debian/patches/dbmodeler.patch: prevents crashes when opening a model file
  [Federico Gimenez Nieto]
  * debian/gnustep-dl2.install: reverted changes to install GDL2 palette
  * debian/rules: reverted changes to generate GDL2 palette

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Mon, 07 Jul 2014 19:10:49 +0200

gnustep-dl2 (0.12.0-11) unstable; urgency=low

  * debian/patches/749742.patch: changes to prevent errors when generating html
    from texinfo files with the new version of gnustep-make, patch suggested by
    Yavor Doganov <yavor@gnu.org> (closes: #749742)
  * debian/copyright: updated date
  * debian/control:
    + bumped Standards-Version: 3.9.5
    + removed texi2html as build dependency (gnustep-make now uses makeinfo for
      generating html files from texi files, and it is provided by the already
      included texinfo build dependency)
  * debian/gnustep-dl2.install: readded GDL2intro.info to install, with updated
      html files path
  * debian/gnustep-dl2.doc-base: updated path to GDL2Intro html files
  * debian/gnustep-dl2.menu: removed, the only entry, DBModeler, is now disabled
    since #705602

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Wed, 04 Jun 2014 20:10:49 +0200

gnustep-dl2 (0.12.0-10) unstable; urgency=low

  * debian/gnustep-dl2.install: exlude removed GDL2intro.info from install
    (closes: #707514)
  * debian/control: bumped Standards-Version: 3.9.4
  * debian/copyright: updated date

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 19 May 2013 12:49:36 +0200

gnustep-dl2 (0.12.0-9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude broken eoutil and DBModeler tools (closes: #705602).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 Apr 2013 06:04:15 +0000

gnustep-dl2 (0.12.0-9) unstable; urgency=low

  * gcc-4.7.patch by Yavor Doganov <yavor@gnu.org> (Closes: #667871)
  * debian/control: bumped Standards-Version: 3.9.3
  * debian/rules: added "-z relro" to LDFLAGS to prevent hardening-no-relro
  * debian/copyright: updated date

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Wed, 27 Jun 2012 08:06:36 +0200

gnustep-dl2 (0.12.0-8) unstable; urgency=low

  * debian/gnustep-dl2.install: Removed empty GDL2 palette generation
    (closes: #645933)
  * debian/patches/format-security.patch: modifications to prevent
    FTBFS with -Werror=format-security compiler option,
    thanks Ilya Barygin <randomaction@ubuntu.com> (closes: #647081)
  * debian/preinst: Removed GDL2 palette resources related move commands
  * debian/rules:
    + Removed GDL2 palette resources related move commands
    + Removed relink for GDL2 palette

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 30 Oct 2011 10:33:07 +0100

gnustep-dl2 (0.12.0-7) unstable; urgency=low

  * debian/patches/629204.patch: modifications due to Traditional to Modern
    GNU Objective-C runtime API (closes: #629204)
  * debian/gbp.conf: configuration for git-buildpackage tool
  * debian/control:
    + Bumped Standards-Version to 3.9.2 (no changes needed)
    + Added Vcs-Git and Vcs-Browser

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Fri, 26 Aug 2011 08:38:04 +0200

gnustep-dl2 (0.12.0-6) unstable; urgency=low

  * Removed references to the now missing GNUsteBase/GSCategories.h
    (closes: #618181)
  * debian/copyright: updated year

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 22 Mar 2011 12:10:06 +0100

gnustep-dl2 (0.12.0-5) unstable; urgency=low

  * debian/control:
      -stated that libgnustep-dl2-0d conflicts libgnustep-dl2-0
       (closes: #594443)
      -added versioned Replaces relationship for all the packages in which
      gnustep-dl2 was split with 0.12 version

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sat, 28 Aug 2010 08:16:31 +0200

gnustep-dl2 (0.12.0-4) unstable; urgency=low

  [ Yavor Doganov ]
  * Added patch EOControl/GNUmakefile (EOControl_INTERFACE_VERSION): Define
    as Debian-specific due to the ABI break. (closes: #581934)
  * debian/control: Renamed libgnustep-dl2-0 to libgnustep-dl2-0d
  * debian/libgnustep-dl2-0.install renamed to debian/libgnustep-dl2-0d.install
    and with the EOControl entry adjusted for soname change.
  * debian/rules: update references of libgnustep-dl2-0 to libgnustep-dl2-0d

  [Federico Gimenez Nieto]
  * debian/control: Bumped standards version (3.9.1)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Fri, 13 Aug 2010 20:34:31 +0200

gnustep-dl2 (0.12.0-3) unstable; urgency=low

  * debian/rules: ADDITIONAL_OBJCFLAGS defined to work with
    gnustep-make/2.4.x (Closes: #583087) Thanks Yavor Doganov
  * debian/control: made first paragraph of long description a proper
    sentence for gnustep-dl2-sqlite-adaptor and gnustep-dl2-postgresql-adaptor
    (Closes: #579673)
  * Added patch for fixing documentation generation (Thanks Yavor Doganov)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 27 May 2010 19:34:31 +0200

gnustep-dl2 (0.12.0-2) unstable; urgency=low

  [ Yavor Doganov ]
  * debian/rules (binary-arch): Avoid circular dependencies between the
    adaptor packages and the library (Closes: #574949).
  * debian/control
        (libgnustep-dl2-0) <Depends>: Tighten depends on the
        adaptors.  Fix typo (Closes: #579002).
        (libgnustep-dl2-dev) <Depends>: Added dependency on
        libgnustep-dl2-0 (Closes: #579003)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 27 Apr 2010 19:55:31 +0200

gnustep-dl2 (0.12.0-1) unstable; urgency=low

  * New maintainer (Closes: #461896)
  * New upstream version
  * Fixed "FTBFS: ../EOControl/EOQualifier.h:240: error: cannot find
    interface declaration for NSArray", patch by
    Gregory John Casamento  <greg.casamento@gmail.com>
  * Added source format 3.0 (quilt)
  * Added debian/watch
  * debian/control:
    + Bumped Standards version (3.8.3)
    + Modified Section from 'libs' to 'gnustep'
    + Removed version dependency on libgnustep-gui-dev
      (0.14 is in Lenny)
    + Added missing dependency on librenaissance0-dev
    + Removed build dependency on gnustep-make (pulled from the
      dependency chain) and added ${gnustep:Depends} to Depends as a safety
      measure (since there is a call to gsdh_gnustep )
      Thanks Yavor Doganov <yagor@gnu.org>
    + Added missing ${misc:Depends} dependency to gnustep-dl2
    + Added package entries for the multiple binary packages (gnustep-dl2,
      libgnustep-dl2-0, libgnustep-dl2-dev, gnustep-dl2-postgresql-adaptor,
      gnustep-dl2-sqlite-adaptor)
    + Added Debian GNUstep maintainers as uploaders
    + Added libsqlite3-dev build dependency (thanks Yavor)
    + Added texi2html build dependency
    + Upgraded versioned build dependency on debhelper to 7
    + As gnustep-dl2 is shipping an info file, added dependency on
      dpkg (>= 1.15.4) | install-info
    + Added build dependency on imagemagick to generate DBModeler icon
  * debian/compat: upgraded to 7 to let dh_install to look for files in
      debian/tmp
  * debian/copyright:
    + Added maintainer information
    + Update License of DBModeler to GPL-3 and everithing except DBModeler
      to LGPL-3; updated also license links
    + Added copyright notice for the GDL2Intro HTML manual
  * debian/rules:
    + Exported GNUSTEP_MAKEFILES and replaced gs_make by $(MAKE)
    + Added code to define flags for optimized builds, preventing a GNUstep
      make bug
    + Added code to move the Resources directory to /usr/share/GNUstep
      and add a symlynk if the installation follows the FHS
    + Added code to remove files left in the build proccess
    + Added LDFLAGS to prevent dpkg-shlibdeps and a patch to avoid unresolved
      symbols (thanks Yavor)
    + Modified the build directory to debian/build to ease the package split
      in multiple binaries
    + Removed PostgreSQLAdaptor headers as adivised by upstream (David Ayers)
    + Added commands to ship libEOModeler as private library (thanks Yavor)
    + Added doc=yes to the build and install make commands
    + Added code to clean the documentation files created to the clean target
    + Replaced dh_clean -k by dh_prep
    + Added code to remove gsdoc files generated for libgnustep-dl2-dev
    + Added code to create, install and remove a xpm icon for DBModeler
    + Added dh_installexamples call to install the Examples/ directory
  * debian/DBModeler.desktop:
    + Upgraded Version field (0.94->1.0, the version of the spec)
    + Added icon reference
  * debian/menu: moved to gnustep-dl2.menu and added xpm icon reference
  * Added preinst script to remove Resources dir on updates
  * Added *.install for each of the binary packages
  * Added shlibs.libgnustep-dl2-0
  * Moved menu to gnustep-dl2.menu, docs to gnustep-dl2.docs
  * Removed debian/dirs
  * Added generated documentation files to gnustep-dl2.docs and created
    libgnustep-dl2-dev.docs
  * Added gnustep-gl2.doc-base and libgnustep-gl2-dev.doc-base
  * Added patch to add @direntry to GDL2Intro.texi
  * Added manpages for DBModeler and eoutil; added debian/gnustep-dl2.manpages
  * gdlgsdoc binary not being installed, it produces segfault (bug forwarded
    upstream https://savannah.gnu.org/bugs/index.php?29191)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Thu, 11 Mar 2010 17:53:31 +0100

gnustep-dl2 (0.11.0-1.2) unstable; urgency=low
  * Non-maintainer upload.
  * Fix "FTBFS: ../EOControl/EOQualifier.h:240: error: cannot find
    interface declaration for SArrayâ Applied patch by
    Yavor Doganov (Closes: #559884)

 -- Bastian Venthur <venthur@debian.org>  Tue, 23 Feb 2010 17:16:12 +0100

gnustep-dl2 (0.11.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix building against new GNUstep.  (Closes: #489694)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 07 Jul 2008 12:57:31 -0400

gnustep-dl2 (0.11.0-1) unstable; urgency=low

  * New upstream version.
  * GNUstep transition. (Closes: #449141)
    + Updated debian/rules.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 25 Oct 2007 12:19:05 +0200

gnustep-dl2 (0.10.1-2) unstable; urgency=low

  * Update to Debhelper compatibility level 5.
  * Replaced Brent from Uploaders with GNUstep team.
  * Dropped "| postgresql-dev" from build-depends. (Closes: #429970)
  * Fixed indenting of debian/copyright.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 21 Jun 2007 18:52:38 +0200

gnustep-dl2 (0.10.1-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. (Closes: #383414)
  * Patch for EOAccess/EOModel.m to fix file permission.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 16 Sep 2006 15:30:23 +0200

gnustep-dl2 (0.9.1-2.2) unstable; urgency=low

  * NMU.
  * Updated run dependency (libgnustep-base1.11).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Sep 2006 13:16:56 +1000

gnustep-dl2 (0.9.1-2.1) unstable; urgency=low

  * NMU.
  * Updated build dependency (libgnustep-base1.11-dev). Closes:
    #360547.
  * Fixed "FTBFS (amd64/gcc-4.0): static declaration of
    'EOMoreThanOneException' follows non-static declaration".
    Patch by Anthony W. Juckel <awj@juckel.net>. Closes: #293025.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Sep 2006 10:56:16 +1000

gnustep-dl2 (0.9.1-2) unstable; urgency=low

  * Correct the build again.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 21 Nov 2004 17:58:33 -0800

gnustep-dl2 (0.9.1-1) unstable; urgency=low

  * Recompile for libgnustep-base1.10-dev.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 15 Nov 2004 21:20:59 -0800

gnustep-dl2 (0.9.1-0.1) unstable; urgency=medium

  * NMU.
  * New upstream version.
  * Fix gnustep-base build dependency.

 -- Matthias Klose <doko@debian.org>  Sat,  7 Aug 2004 10:29:20 +0200

gnustep-dl2 (0.9.0-6) unstable; urgency=low

  * More shell corrections (bashisms.)  Thanks to Sebastian Muszynski
    <do2ksm@linkt.de> for his patch.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  2 May 2004 23:13:01 -0700

gnustep-dl2 (0.9.0-5) unstable; urgency=low

  * Correct shell sourcing (masked by my local environment).
    (Closes:#244142)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 16 Apr 2004 22:05:06 -0700

gnustep-dl2 (0.9.0-4) unstable; urgency=low

  * Clean up some build rules.
  * Correct typo in shlib handling.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 13 Apr 2004 20:34:52 -0700

gnustep-dl2 (0.9.0-3) unstable; urgency=low

  * Add build-depends on gnustep-make.  (Closes:#239731)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu,  8 Apr 2004 23:41:22 -0700

gnustep-dl2 (0.9.0-2) unstable; urgency=low

  * Correct FTBFS bug.  Many thanks to Sebastian Muszynski <do2ksm@linkt.de>
    for the patch (Closes:#239731)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  4 Apr 2004 20:18:19 -0700

gnustep-dl2 (0.9.0-1) unstable; urgency=low

  * Initial Release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Feb 2004 21:40:30 -0800
